#ifndef CSYSTEM_
  #define CSYSTEM_

  #define C1D      0
  #define C2D      1
  #define C3D      2

  #define CCOL     4
  #define CTIME    8

  #define CDOT    16
  #define CCIRC   32
  #define CCROSS  64
  #define CQUAD  128

  /*
     C1D normal graph (indexed)
     C2D 2D scatter (b/w)
     C3D 3D scatter (b/w)
     | CCOL coloured
     | CTIME time dependend
     | pointstyle
  */

  class csystem {
      unsigned long ndata;
      unsigned int dim;
      char **units;
      char **axiss;
      double **data;
      int type;
      long int xaxis,yaxis,zaxis,caxis;
    public:
      csystem();
      void SetData(double **src,unsigned long srcn,unsigned int srcdim,int clear=0);
      void LoadFormatted(char *fname,int clear=0);

      unsigned int X();
      unsigned int Y();
      unsigned int Z();
      unsigned int C();
      char *axis(int i);
      char *unit(int i);
      void X(unsigned int i);
      void Y(unsigned int i);
      void Z(unsigned int i);
      void C(unsigned int i);

      void CopyStrings(csystem *src);
      double **GetData();
      double Data(unsigned long z,unsigned int s);
      unsigned long NData();
      unsigned int Dim();
      int Type();
      
      void Display(int t,int w,int h);
      ~csystem();
  };

#endif
